Bug 840318 - ganglia: Arbitrary PHP files may be executed from the Ganglia server due to unsanitized input to graph.php
ganglia: Arbitrary PHP files may be executed from the Ganglia server due to u...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: ganglia (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Kostas Georgiou
Fedora Extras Quality Assurance
: Security
Depends On: 840316
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 16:05 EDT by Kostas Georgiou
Modified: 2012-07-31 13:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 840316
Environment:
Last Closed: 2012-07-31 13:02:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kostas Georgiou 2012-07-15 16:05:45 EDT
+++ This bug was initially created as a clone of Bug #840316 +++

Was reported upstream at http://bugzilla.ganglia.info/cgi-bin/bugzilla/show_bug.cgi?id=333
Comment 1 Fedora Update System 2012-07-15 16:12:06 EDT
ganglia-3.1.7-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ganglia-3.1.7-6.el6
Comment 2 Tomas Hoger 2012-07-16 04:52:17 EDT
Does EPEL-5 version (3.0.7-1.el5) need this fix?
Comment 3 Kostas Georgiou 2012-07-16 07:07:11 EDT
No the code seems safe there
Comment 4 Fedora Update System 2012-07-16 13:01:16 EDT
Package ganglia-3.1.7-6.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ganglia-3.1.7-6.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6408/ganglia-3.1.7-6.el6
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-07-31 13:02:23 EDT
ganglia-3.1.7-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.